## org.apache.portals.bridges.struts.config
Class PortletURLTypes.URLType

    java.lang.Object
      org.apache.portals.bridges.struts.config.PortletURLTypes.URLType

Enclosing class:
  PortletURLTypes

public static class PortletURLTypes.URLType
extends Object

Field Summary
`static PortletURLTypes.URLType` `ACTION`
`private int` `id`
`private String` `name`
`static PortletURLTypes.URLType` `RENDER`
`static PortletURLTypes.URLType` `RESOURCE`

Constructor Summary
`private` `PortletURLTypes.URLType(int id, String name)`

Method Summary
`boolean` `equals(PortletURLTypes.URLType type)`
`String` `getName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION

    public static final PortletURLTypes.URLType ACTION

### RENDER

    public static final PortletURLTypes.URLType RENDER

### RESOURCE

    public static final PortletURLTypes.URLType RESOURCE

### id

    private int id

### name

    private String name

Constructor Detail

### PortletURLTypes.URLType

    private PortletURLTypes.URLType(int id,
                                    String name)

Method Detail

### getName

    public String getName()

### equals

    public boolean equals(PortletURLTypes.URLType type)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.